Operations
Retrieve all operations from a schema.
Deprecated
client.apiGateway.userSchemas.operations.list(stringschemaId, OperationListParams { zone_id, endpoint, feature, 5 more } params, RequestOptionsoptions?): V4PagePaginationArray<OperationListResponse>
GET/zones/{zone_id}/api_gateway/user_schemas/{schema_id}/operations
ModelsExpand Collapse
OperationListResponse = APIShieldOperation { endpoint, host, last_updated, 3 more } | APIShieldBasicOperation { endpoint, host, method }
OperationListResponse = APIShieldOperation { endpoint, host, last_updated, 3 more } | APIShieldBasicOperation { endpoint, host, method }
One of the following:
APIShieldOperation { endpoint, host, last_updated, 3 more }
APIShieldOperation { endpoint, host, last_updated, 3 more }
endpoint: string
The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
formaturi-template
maxLength4096
features?: APIShieldOperationFeatureThresholds { thresholds } | APIShieldOperationFeatureParameterSchemas { parameter_schemas } | APIShieldOperationFeatureAPIRouting { api_routing } | 2 more
features?: APIShieldOperationFeatureThresholds { thresholds } | APIShieldOperationFeatureParameterSchemas { parameter_schemas } | APIShieldOperationFeatureAPIRouting { api_routing } | 2 more
One of the following:
APIShieldOperationFeatureThresholds { thresholds }
APIShieldOperationFeatureThresholds { thresholds }
APIShieldOperationFeatureParameterSchemas { parameter_schemas }
APIShieldOperationFeatureParameterSchemas { parameter_schemas }
APIShieldOperationFeatureConfidenceIntervals { confidence_intervals }
APIShieldOperationFeatureConfidenceIntervals { confidence_intervals }
confidence_intervals?: ConfidenceIntervals { last_updated, suggested_threshold }
confidence_intervals?: ConfidenceIntervals { last_updated, suggested_threshold }
APIShieldOperationFeatureSchemaInfo { schema_info }
APIShieldOperationFeatureSchemaInfo { schema_info }
APIShieldBasicOperation { endpoint, host, method }
APIShieldBasicOperation { endpoint, host, method }
endpoint: string
The endpoint which can contain path parameter templates in curly braces, each will be replaced from left to right with {varN}, starting with {var1}, during insertion. This will further be Cloudflare-normalized upon insertion. See: https://developers.cloudflare.com/rules/normalization/how-it-works/.
formaturi-template
maxLength4096